xine-lib: xine-lib-1.2.13/src/post/deinterlace/plugins/kdetv_greedyh.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions | Variables
kdetv_greedyh.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdint.h>`
`#include <xine/attributes.h>`
`#include <xine/xineutils.h>`
`#include "deinterlace.h"`
`#include "speedtools.h"`
`#include "speedy.h"`
`#include "plugins.h"`

## Functions
static void | deinterlace_frame_di_greedyh (uint8_t *output, int outstride, deinterlace_frame_data_t *data, int bottom_field, int second_field, int width, int height)
const deinterlace_method_t * | dscaler_greedyh_get_method (void)

## Variables
static const deinterlace_method_t | greedymethod

## Function Documentation

## ◆ deinterlace_frame_di_greedyh()

static void deinterlace_frame_di_greedyh | ( | uint8_t * | output,
|  | int | outstride,
|  | deinterlace_frame_data_t * | data,
|  | int | bottom_field,
|  | int | second_field,
|  | int | width,
|  | int | height )
| static

Copyright (C) 2004 Billy Biggs vekto.nosp@m.r@du.nosp@m.mbter.nosp@m.m.ne.nosp@m.t

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

References height, MM_ACCEL_X86_3DNOW, MM_ACCEL_X86_MMXEXT, width, and xine_mm_accel().

## ◆ dscaler_greedyh_get_method()

const deinterlace_method_t * dscaler_greedyh_get_method | ( | void |  | ) |

References greedymethod.

Referenced by deinterlace_init_plugin().

## Variable Documentation

## ◆ greedymethod

const deinterlace_method_t greedymethod
| static

Initial value:
=
{
"Greedy - High Motion (DScaler)",
"GreedyH",
4,
MM_ACCEL_X86_MMX,
0,
0,
0,
0,
deinterlace_frame_di_greedyh,
0,
"Uses heuristics to detect motion in the input frames and reconstruct "
"image detail where possible. Use this for high quality output even "
"on monitors set to an arbitrary refresh rate.\n"
"\n"
"Advanced detection uses linear interpolation where motion is "
"detected, using a four-field buffer. This is the Greedy: High Motion "
"deinterlacer from DScaler."
}
deinterlace_frame_di_greedyh
static void deinterlace_frame_di_greedyh(uint8_t *output, int outstride, deinterlace_frame_data_t *data, int bottom_field, int second_field, int width, int height)
Definition kdetv_greedyh.c:80
MM_ACCEL_X86_MMX
#define MM_ACCEL_X86_MMX
Definition xineutils.h:165

Referenced by dscaler_greedyh_get_method().